import { Description } from "./Description";
import { SeriesLayerPropertyOverlayDescription } from "./SeriesLayerPropertyOverlayDescription";
import { SeriesLayerDescription } from "./SeriesLayerDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class SeriesDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private j;
    get highlightedValuesExtraPropertyOverlays(): SeriesLayerPropertyOverlayDescription[];
    set highlightedValuesExtraPropertyOverlays(a: SeriesLayerPropertyOverlayDescription[]);
    private ca;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private cc;
    get highlightedDataSourceRef(): string;
    set highlightedDataSourceRef(a: string);
    private cl;
    get legendRef(): string;
    set legendRef(a: string);
    private ck;
    get legendItemVisibility(): string;
    set legendItemVisibility(a: string);
    private ci;
    get legendItemBadgeTemplateRef(): string;
    set legendItemBadgeTemplateRef(a: string);
    private b6;
    get actualLegendItemBadgeTemplateRef(): string;
    set actualLegendItemBadgeTemplateRef(a: string);
    private b5;
    get actualLegendItemBadgeOutline(): string;
    set actualLegendItemBadgeOutline(a: string);
    private b4;
    get actualLegendItemBadgeBrush(): string;
    set actualLegendItemBadgeBrush(a: string);
    private ch;
    get legendItemBadgeShape(): string;
    set legendItemBadgeShape(a: string);
    private cg;
    get legendItemBadgeMode(): string;
    set legendItemBadgeMode(a: string);
    private cj;
    get legendItemTemplateRef(): string;
    set legendItemTemplateRef(a: string);
    private cb;
    get discreteLegendItemTemplateRef(): string;
    set discreteLegendItemTemplateRef(a: string);
    private cv;
    get transitionEasingFunctionRef(): string;
    set transitionEasingFunctionRef(a: string);
    private cw;
    get transitionInEasingFunctionRef(): string;
    set transitionInEasingFunctionRef(a: string);
    private cy;
    get transitionOutEasingFunctionRef(): string;
    set transitionOutEasingFunctionRef(a: string);
    private bv;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private ar;
    get actualResolution(): number;
    set actualResolution(a: number);
    private a0;
    get resolution(): number;
    set resolution(a: number);
    private a8;
    get visibleRangeMarginTop(): number;
    set visibleRangeMarginTop(a: number);
    private a5;
    get visibleRangeMarginBottom(): number;
    set visibleRangeMarginBottom(a: number);
    private a6;
    get visibleRangeMarginLeft(): number;
    set visibleRangeMarginLeft(a: number);
    private a7;
    get visibleRangeMarginRight(): number;
    set visibleRangeMarginRight(a: number);
    private cd;
    get highlightedTitleSuffix(): string;
    set highlightedTitleSuffix(a: string);
    private b8;
    get brush(): string;
    set brush(a: string);
    private b1;
    get actualBrush(): string;
    set actualBrush(a: string);
    private cr;
    get safeActualBrush(): string;
    set safeActualBrush(a: string);
    private co;
    get outline(): string;
    set outline(a: string);
    private b7;
    get actualOutline(): string;
    set actualOutline(a: string);
    private cn;
    get lineJoin(): string;
    set lineJoin(a: string);
    private ce;
    get highlightedValuesDisplayMode(): string;
    set highlightedValuesDisplayMode(a: string);
    private w;
    get shouldAnimateOnDataSourceSwap(): boolean;
    set shouldAnimateOnDataSourceSwap(a: boolean);
    private a4;
    get thickness(): number;
    set thickness(a: number);
    private as;
    get actualThickness(): number;
    set actualThickness(a: number);
    private i;
    get dashArray(): number[];
    set dashArray(a: number[]);
    private b2;
    get actualHighlightingMode(): string;
    set actualHighlightingMode(a: string);
    private ao;
    get actualHighlightedValuesFadeOpacity(): number;
    set actualHighlightedValuesFadeOpacity(a: number);
    private av;
    get highlightedValuesFadeOpacity(): number;
    set highlightedValuesFadeOpacity(a: number);
    private ap;
    get actualHighlightingFadeOpacity(): number;
    set actualHighlightingFadeOpacity(a: number);
    private aw;
    get highlightingFadeOpacity(): number;
    set highlightingFadeOpacity(a: number);
    private q;
    get isActualLegendFinancial(): boolean;
    set isActualLegendFinancial(a: boolean);
    private r;
    get isComponentHighlightingModeIgnored(): boolean;
    set isComponentHighlightingModeIgnored(a: boolean);
    private u;
    get isHighlightingEnabled(): boolean;
    set isHighlightingEnabled(a: boolean);
    private y;
    get shouldShiftOpacityForSafeActualBrush(): boolean;
    set shouldShiftOpacityForSafeActualBrush(a: boolean);
    private x;
    get shouldHideAutoCallouts(): boolean;
    set shouldHideAutoCallouts(a: boolean);
    private t;
    get isDropShadowEnabled(): boolean;
    set isDropShadowEnabled(a: boolean);
    private a1;
    get shadowBlur(): number;
    set shadowBlur(a: number);
    private cs;
    get shadowColor(): string;
    set shadowColor(a: string);
    private aa;
    get useSingleShadow(): boolean;
    set useSingleShadow(a: boolean);
    private a2;
    get shadowOffsetX(): number;
    set shadowOffsetX(a: number);
    private a3;
    get shadowOffsetY(): number;
    set shadowOffsetY(a: number);
    private at;
    get areaFillOpacity(): number;
    set areaFillOpacity(a: number);
    private an;
    get actualAreaFillOpacity(): number;
    set actualAreaFillOpacity(a: number);
    private ax;
    get markerFillOpacity(): number;
    set markerFillOpacity(a: number);
    private aq;
    get actualMarkerFillOpacity(): number;
    set actualMarkerFillOpacity(a: number);
    private s;
    get isDefaultToolTipSelected(): boolean;
    set isDefaultToolTipSelected(a: boolean);
    private z;
    get showDefaultTooltip(): boolean;
    set showDefaultTooltip(a: boolean);
    private c1;
    get visibleRangeMode(): string;
    set visibleRangeMode(a: string);
    private cp;
    get outlineMode(): string;
    set outlineMode(a: string);
    private bw;
    get transitionInDuration(): number;
    set transitionInDuration(a: number);
    private bx;
    get transitionOutDuration(): number;
    set transitionOutDuration(a: number);
    private cx;
    get transitionInSpeedType(): string;
    set transitionInSpeedType(a: string);
    private cz;
    get transitionOutSpeedType(): string;
    set transitionOutSpeedType(a: string);
    private cm;
    get lineCap(): string;
    set lineCap(a: string);
    private v;
    get mouseOverEnabled(): boolean;
    set mouseOverEnabled(a: boolean);
    private b9;
    get coercionMethodsRef(): string;
    set coercionMethodsRef(a: string);
    private p;
    get expectFunctions(): boolean;
    set expectFunctions(a: boolean);
    private cf;
    get hitTestMode(): string;
    set hitTestMode(a: string);
    private b3;
    get actualHitTestMode(): string;
    set actualHitTestMode(a: string);
    private au;
    get finalValue(): number;
    set finalValue(a: number);
    private az;
    get percentChange(): number;
    set percentChange(a: number);
    private k;
    get layers(): SeriesLayerDescription[];
    set layers(a: SeriesLayerDescription[]);
    private h;
    get actualLayers(): SeriesLayerDescription[];
    set actualLayers(a: SeriesLayerDescription[]);
    private ay;
    get opacity(): number;
    set opacity(a: number);
    private c0;
    get visibility(): string;
    set visibility(a: string);
    private cq;
    get renderRequestedRef(): string;
    set renderRequestedRef(a: string);
    private cu;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private ct;
    get title(): string;
    set title(a: string);
}
